package com.ruoyi.system.domain.modelPic;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 车辆型号图片对象 e_model_pic
 *
 * @author qzz
 * @date 2024-12-30
 */
public class EModelPic extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 型号id */
    private Long modelId;

    /** 车型 */
    @Excel(name = "车型")
    private String model;

    /** 品牌商id */
    @Excel(name = "品牌商id")
    private Long brandId;

    /** 品牌商 */
    @Excel(name = "品牌商")
    private String brandName;

    /** 图片 */
    @Excel(name = "图片")
    private String picture;

    public void setModelId(Long modelId)
    {
        this.modelId = modelId;
    }

    public Long getModelId()
    {
        return modelId;
    }
    public void setModel(String model)
    {
        this.model = model;
    }

    public String getModel()
    {
        return model;
    }
    public void setBrandId(Long brandId)
    {
        this.brandId = brandId;
    }

    public Long getBrandId()
    {
        return brandId;
    }
    public void setBrandName(String brandName)
    {
        this.brandName = brandName;
    }

    public String getBrandName()
    {
        return brandName;
    }
    public void setPicture(String picture)
    {
        this.picture = picture;
    }

    public String getPicture()
    {
        return picture;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("modelId", getModelId())
            .append("model", getModel())
            .append("brandId", getBrandId())
            .append("brandName", getBrandName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("remark", getRemark())
            .append("picture", getPicture())
            .toString();
    }
}
